Home of the Squeezebox™ & Transporter® network music players.
Page 66 of 72 FirstFirst ... 16566465666768 ... LastLast
Results 651 to 660 of 712
  1. #651
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    4,803
    Quote Originally Posted by slimhase View Post
    So, here is the rep logfile:

    [18-12-13 01:19:44.0812] main::init (387) Starting Logitech Media Server (v7.9.2, 1543258616, Mon Nov 26 20:27:06 CET 2018) perl 5.018002 - i686-linux-gnu-thread-multi-64int
    [18-12-13 01:19:51.5560] Slim::Utils::Misc::msg (1252) Warning: [01:19:51.5548] Can't locate auto/Crypt/OpenSSL/RSA/autosplit.ix in @INC (@INC contains: plugins/SuperDateTime/lib /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/SuperDateTime/lib /var/lib/squeezeboxserver/cache/InstalledPlugins /usr/sbin/Plugins/RaopBridge/lib /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/RaopBridge/lib /usr/sbin/Plugins/MusicArtistInfo/lib /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/MusicArtistInfo/lib /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/BBCiPlayer/lib /usr/share/squeezeboxserver/CPAN/arch/5.18/i386-linux-thread-multi-64int /usr/share/squeezeboxserver/CPAN/arch/5.18/i386-linux-thread-multi-64int/auto /usr/share/squeezeboxserver/CPAN/arch/5.18.2/i686-linux-gnu-thread-multi-64int /usr/share/squeezeboxserver/CPAN/arch/5.18.2/i686-linux-gnu-thread-multi-64int/auto /usr/share/squeezeboxserver/CPAN/arch/5.18/i686-linux-gnu-thread-multi-64int /usr/share/squeezeboxserver/CPAN/arch/5.18/i686-linux-gnu-thread-multi-64int/auto /usr/share/squeezeboxserver/CPAN/arch/i686-linux-gnu-thread-multi-64int /usr/share/squeezeboxserver/CPAN/arch/5.18 /usr/share/squeezeboxserver/lib /usr/share/squeezeboxserver/CPAN /usr/share/squeezeboxserver /usr/sbin /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl . /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/5.18 /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/5.18/i386-linux-thread-multi-64int /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/5.18/i386-linux-thread-multi-64int/auto) at /usr/share/perl/5.18/AutoLoader.pm line 181.
    at /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/Crypt/OpenSSL/RSA.pm line 11.

    Are there any clues in there?
    I've never built the libraries for Perl 5.18 and i686, hence it cannot work. Please update your Linux distribution

    [edit]: And I don't understand your question about the Joggler. This plugin is made to turn SB native devices (Boom, Duet, Classic, Radio, Transporter, Squeezelite on Pi ...) into AirPlay devices. If you want to use an AirPlay speaker in LMS, as if it were a SB player, you need the AirPlay bridge
    Last edited by philippe_44; 2018-12-12 at 20:47.
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express, GGMM E5

  2. #652
    Senior Member
    Join Date
    Jul 2009
    Posts
    335
    Quote Originally Posted by philippe_44 View Post
    I've never built the libraries for Perl 5.18 and i686, hence it cannot work. Please update your Linux distribution

    [edit]: And I don't understand your question about the Joggler. This plugin is made to turn SB native devices (Boom, Duet, Classic, Radio, Transporter, Squeezelite on Pi ...) into AirPlay devices. If you want to use an AirPlay speaker in LMS, as if it were a SB player, you need the AirPlay bridge

    Hi Philippe;
    thanks for your feedback - I really would like to get this running. It would eliminate a lot of messy bluetooth stuff in our house.

    Just to clarify: The Joggler hosts my LMS (and also acts as a Squeezebox). So my intend in installing your plugin to the Joggler is to be able to use my SB Classics in the house optionally as AirPly devices.

    WRT updating the Linux distribution: I keep it up to date with apt get update. To use a completely new distribution is out of my capabilities, as the OS on the Joggler is a "handtaylored" one made by a guy from the Joggler community years ago.

    Is there any why to get it going with my current perl version 5.18.2?

  3. #653
    Senior Member
    Join Date
    Jul 2009
    Posts
    335
    Quote Originally Posted by slimhase View Post
    Hi Philippe;
    thanks for your feedback.....
    Is there any why to get it going with my current perl version 5.18.2?
    So, reread the initial 15 pages of the thread and got a step further:
    I downloaded crypt.zip from your post#50 in this thread, copied the files to the respective folders, renamed the folder to what was listed in @INC: elib/5.18/i386-linux-thread-multi-64int
    and: no more errors! But the plugin still does not work - it still does not find the setting html.
    Then I set (plugin.extensions) and (server.plugins) to warning ang get the follwing log:

    Code:
    [18-12-13 15:10:12.6874] main::init (387) Starting Logitech Media Server (v7.9.2, 1543258616, Mon Nov 26 20:27:06 CET 2018) perl 5.018002 - i686-linux-gnu-thread-multi-64int
    [18-12-13 15:10:14.1644] Slim::Utils::PluginManager::load (230) Skipping plugin: ACLFiletest - disabled
    [18-12-13 15:10:14.1654] Slim::Utils::PluginManager::load (230) Skipping plugin: AudioScrobbler - disabled
    [18-12-13 15:10:14.7344] Slim::Utils::PluginManager::load (230) Skipping plugin: DateTime - disabled
    [18-12-13 15:10:14.7354] Slim::Utils::PluginManager::load (230) Skipping plugin: DigitalInput - disabled
    [18-12-13 15:10:14.7363] Slim::Utils::PluginManager::load (230) Skipping plugin: DnDPlay - disabled
    [18-12-13 15:10:14.8608] Slim::Utils::PluginManager::load (230) Skipping plugin: FullTextSearch - disabled
    [18-12-13 15:10:14.8617] Slim::Utils::PluginManager::load (230) Skipping plugin: ImageBrowser - disabled
    [18-12-13 15:10:14.8628] Slim::Utils::PluginManager::load (230) Skipping plugin: InfoBrowser - disabled
    [18-12-13 15:10:14.9044] Slim::Utils::PluginManager::load (230) Skipping plugin: JiveExtras - disabled
    [18-12-13 15:10:14.9107] Slim::Utils::PluginManager::load (230) Skipping plugin: LibraryDemo - disabled
    [18-12-13 15:10:14.9116] Slim::Utils::PluginManager::load (230) Skipping plugin: LineIn - disabled
    [18-12-13 15:10:14.9124] Slim::Utils::PluginManager::load (230) Skipping plugin: LineOut - disabled
    [18-12-13 15:10:15.1308] Slim::Utils::PluginManager::load (230) Skipping plugin: MusicMagic - disabled
    [18-12-13 15:10:15.2719] Slim::Utils::PluginManager::load (230) Skipping plugin: RS232 - disabled
    [18-12-13 15:10:15.2728] Slim::Utils::PluginManager::load (230) Skipping plugin: RSSNews - disabled
    [18-12-13 15:10:15.3769] Slim::Utils::PluginManager::load (230) Skipping plugin: RemoteLibrary - disabled
    [18-12-13 15:10:15.3778] Slim::Utils::PluginManager::load (230) Skipping plugin: Rescan - disabled
    [18-12-13 15:10:15.5257] Slim::Utils::PluginManager::load (230) Skipping plugin: SlimTris - disabled
    [18-12-13 15:10:15.5270] Slim::Utils::PluginManager::load (230) Skipping plugin: Snow - disabled
    [18-12-13 15:10:15.9494] Slim::Utils::PluginManager::load (230) Skipping plugin: UPnP - disabled
    [18-12-13 15:10:15.9688] Slim::Utils::PluginManager::load (230) Skipping plugin: YALP - disabled
    [18-12-13 15:10:15.9701] Slim::Utils::PluginManager::load (230) Skipping plugin: iTunes - disabled
    [18-12-13 15:10:15.9710] Slim::Utils::PluginManager::load (230) Skipping plugin: xPL - disabled
    [18-12-13 15:10:16.4428] Plugins::RaopBridge::Plugin::initPlugin (47) $VAR1 = {
              'uid' => 'squeezeboxserver',
              'osName' => 'Debian',
              'binArch' => 'i386-linux',
              'osArch' => 'i686-linux',
              'isDebian' => 1,
              'os' => 'Linux'
            };
    [18-12-13 15:10:16.4440] Plugins::ShairTunes2W::Plugin::initPlugin (243) Initialising 0.104.0 on i686-linux-gnu-thread-multi-64int
    [18-12-13 15:10:16.4549] Plugins::ShairTunes2W::Plugin::initPlugin (247) cannot find system Crypt::OpenSSL::RSA
    $VAR1 = [
              'plugins/SuperDateTime/lib',
              '/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/SuperDateTime/lib',
              '/var/lib/squeezeboxserver/cache/InstalledPlugins',
              '/usr/sbin/Plugins/RaopBridge/lib',
              '/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/RaopBridge/lib',
              '/usr/sbin/Plugins/MusicArtistInfo/lib',
              '/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/MusicArtistInfo/lib',
              '/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/BBCiPlayer/lib',
              '/usr/share/squeezeboxserver/CPAN/arch/5.18/i386-linux-thread-multi-64int',
              '/usr/share/squeezeboxserver/CPAN/arch/5.18/i386-linux-thread-multi-64int/auto',
              '/usr/share/squeezeboxserver/CPAN/arch/5.18.2/i686-linux-gnu-thread-multi-64int',
              '/usr/share/squeezeboxserver/CPAN/arch/5.18.2/i686-linux-gnu-thread-multi-64int/auto',
              '/usr/share/squeezeboxserver/CPAN/arch/5.18/i686-linux-gnu-thread-multi-64int',
              '/usr/share/squeezeboxserver/CPAN/arch/5.18/i686-linux-gnu-thread-multi-64int/auto',
              '/usr/share/squeezeboxserver/CPAN/arch/i686-linux-gnu-thread-multi-64int',
              '/usr/share/squeezeboxserver/CPAN/arch/5.18',
              '/usr/share/squeezeboxserver/lib',
              '/usr/share/squeezeboxserver/CPAN',
              '/usr/share/squeezeboxserver',
              '/usr/sbin',
              '/etc/perl',
              '/usr/local/lib/perl/5.18.2',
              '/usr/local/share/perl/5.18.2',
              '/usr/lib/perl5',
              '/usr/share/perl5',
              '/usr/lib/perl/5.18',
              '/usr/share/perl/5.18',
              '/usr/local/lib/site_perl',
              '.',
              '/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib',
              '/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/5.18',
              '/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/5.18/i386-linux-thread-multi-64int',
              '/var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/5.18/i386-linux-thread-multi-64int/auto'
            ];
    If I understand correctly, Crypt::OpenSSL::RSA is not installed on my system?
    Will see, if I can fix that and report back
    Heiner
    My system: LMS 7.9x on Open Peak Joggler running Roobarbs SqueezePlay OS; (Library on Synology NAS)
    Player: 5 x Squeezebox Classic, 1 x PiCorePlayer on Pi Zero; (1 x Slimp3)
    Remote: 1 x Controller; iOS: Material Skin (& iPeng); Android: Orange Squeeze (& Squeeze Commander); Win: Squeezelite-X

  4. #654
    Senior Member
    Join Date
    Jul 2009
    Posts
    335
    [QUOTE=slimhase;928557
    report back
    [/QUOTE]
    Oh boy.
    Did: sudo apt-get install libssl-dev which went fine.
    Then sudo perl -MCPAN -e 'install Crypt::OpenSSL::RSA'
    which didnt:
    Code:
    Reading '/root/.cpan/Metadata'
      Database was generated on Thu, 13 Dec 2018 14:54:17 GMT
    Running install for module 'Crypt::OpenSSL::RSA'
    Running make for T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
    Checksum for /root/.cpan/sources/authors/id/T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz ok
    ---- Unsatisfied dependencies detected during ----
    ----    TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz   ----
        Crypt::OpenSSL::Guess [build_requires]
    Running make test
      Make had some problems, won't test
      Delayed until after prerequisites
    Running make install
      Make had some problems, won't install
      Delayed until after prerequisites
    Running install for module 'Crypt::OpenSSL::Guess'
    Running make for A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz
    Fetching with HTTP::Tiny:
    http://httpupdate140.cpanel.net/CPAN/authors/id/A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz
    Fetching with HTTP::Tiny:
    http://httpupdate140.cpanel.net/CPAN/authors/id/A/AK/AKIYM/CHECKSUMS
    Checksum for /root/.cpan/sources/authors/id/A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz ok
    
      CPAN.pm: Building A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz
    
    Checking if your kit is complete...
    Looks good
    Warning: prerequisite perl 5.008001 not found.
    Writing Makefile for Crypt::OpenSSL::Guess
    Writing MYMETA.yml and MYMETA.json
      AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz
      make -- NOT OK
    'YAML' not installed, will not store persistent state
    Running make test
      Can't test without successful make
    Running make install
      Make had returned bad status, install seems impossible
    Running make for T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
    Warning: Prerequisite 'Crypt::OpenSSL::Guess => 0.11' for 'TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz' failed when processing 'AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.
    
      CPAN.pm: Building T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
    
    Can't locate Crypt/OpenSSL/Guess.pm in @INC (you may need to install the Crypt::OpenSSL::Guess module) (@INC contains: /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at Makefile.PL line 6.
    BEGIN failed--compilation aborted at Makefile.PL line 6.
    Warning: No success on command[/usr/bin/perl Makefile.PL INSTALLDIRS=site]
      TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
      /usr/bin/perl Makefile.PL INSTALLDIRS=site -- NOT OK
    Running make test
      Make had some problems, won't test
    Running make install
      Make had some problems, won't install
    Could not read metadata file. Falling back to other methods to determine prerequisites
    As i did most of it in a cut&paste fashion, I am now at a loss....
    Any guidance would be highly appreciated.....
    Heiner
    My system: LMS 7.9x on Open Peak Joggler running Roobarbs SqueezePlay OS; (Library on Synology NAS)
    Player: 5 x Squeezebox Classic, 1 x PiCorePlayer on Pi Zero; (1 x Slimp3)
    Remote: 1 x Controller; iOS: Material Skin (& iPeng); Android: Orange Squeeze (& Squeeze Commander); Win: Squeezelite-X

  5. #655
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    4,803
    Quote Originally Posted by slimhase View Post
    Oh boy.
    Did: sudo apt-get install libssl-dev which went fine.
    Then sudo perl -MCPAN -e 'install Crypt::OpenSSL::RSA'
    which didnt:
    Code:
    Reading '/root/.cpan/Metadata'
      Database was generated on Thu, 13 Dec 2018 14:54:17 GMT
    Running install for module 'Crypt::OpenSSL::RSA'
    Running make for T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
    Checksum for /root/.cpan/sources/authors/id/T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz ok
    ---- Unsatisfied dependencies detected during ----
    ----    TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz   ----
        Crypt::OpenSSL::Guess [build_requires]
    Running make test
      Make had some problems, won't test
      Delayed until after prerequisites
    Running make install
      Make had some problems, won't install
      Delayed until after prerequisites
    Running install for module 'Crypt::OpenSSL::Guess'
    Running make for A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz
    Fetching with HTTP::Tiny:
    http://httpupdate140.cpanel.net/CPAN/authors/id/A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz
    Fetching with HTTP::Tiny:
    http://httpupdate140.cpanel.net/CPAN/authors/id/A/AK/AKIYM/CHECKSUMS
    Checksum for /root/.cpan/sources/authors/id/A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz ok
    
      CPAN.pm: Building A/AK/AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz
    
    Checking if your kit is complete...
    Looks good
    Warning: prerequisite perl 5.008001 not found.
    Writing Makefile for Crypt::OpenSSL::Guess
    Writing MYMETA.yml and MYMETA.json
      AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz
      make -- NOT OK
    'YAML' not installed, will not store persistent state
    Running make test
      Can't test without successful make
    Running make install
      Make had returned bad status, install seems impossible
    Running make for T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
    Warning: Prerequisite 'Crypt::OpenSSL::Guess => 0.11' for 'TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz' failed when processing 'AKIYM/Crypt-OpenSSL-Guess-0.11.tar.gz' with 'make => NO'. Continuing, but chances to succeed are limited.
    
      CPAN.pm: Building T/TO/TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
    
    Can't locate Crypt/OpenSSL/Guess.pm in @INC (you may need to install the Crypt::OpenSSL::Guess module) (@INC contains: /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl .) at Makefile.PL line 6.
    BEGIN failed--compilation aborted at Makefile.PL line 6.
    Warning: No success on command[/usr/bin/perl Makefile.PL INSTALLDIRS=site]
      TODDR/Crypt-OpenSSL-RSA-0.31.tar.gz
      /usr/bin/perl Makefile.PL INSTALLDIRS=site -- NOT OK
    Running make test
      Make had some problems, won't test
    Running make install
      Make had some problems, won't install
    Could not read metadata file. Falling back to other methods to determine prerequisites
    As i did most of it in a cut&paste fashion, I am now at a loss....
    Any guidance would be highly appreciated.....
    if you are not used to build, I recommend you update your Debian distribution, really. You might not have build tools on your system. If you really want to continue, you can try to add build essentials and then add RSA module which needs a proper C toolchain to be installed

    sudo apt-get install build-essential
    sudo cpan Crypt::OpenSSL::RSA
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express, GGMM E5

  6. #656
    Senior Member
    Join Date
    Jul 2009
    Posts
    335
    Quote Originally Posted by philippe_44 View Post
    if you are not used to build, I recommend you update your Debian distribution, really. You might not have build tools on your system. If you really want to continue, you can try to add build essentials and then add RSA module which needs a proper C toolchain to be installed

    sudo apt-get install build-essential
    sudo cpan Crypt::OpenSSL::RSA
    Thanks again, Philippe!
    Unfortunately, updating this thing to a newer debian distro is really completely beyond my capabilities...
    (The Joggler runs "Squeezeplay OS", built by a joggler forum member - many people rely on this setup)
    But you are right - I hit a dead end here:
    Executing the above cpan instruction fails with "can not allocate memory" - the Joggler has only 500MB of Ram...

    Ill head to the jogglerforum in hope that the SqueezePlayerOS developer still has an idea.
    (https://www.jogglerwiki.com/forum/vi...p=29765#p29765)
    Ill feedback any updates

  7. #657
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    4,803
    Quote Originally Posted by slimhase View Post
    Thanks again, Philippe!
    Unfortunately, updating this thing to a newer debian distro is really completely beyond my capabilities...
    (The Joggler runs "Squeezeplay OS", built by a joggler forum member - many people rely on this setup)
    But you are right - I hit a dead end here:
    Executing the above cpan instruction fails with "can not allocate memory" - the Joggler has only 500MB of Ram...

    Ill head to the jogglerforum in hope that the SqueezePlayerOS developer still has an idea.
    (https://www.jogglerwiki.com/forum/vi...p=29765#p29765)
    Ill feedback any updates
    okay ... I'll build you a 5.18 set of binaries
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express, GGMM E5

  8. #658
    Senior Member
    Join Date
    Jul 2009
    Posts
    335
    Quote Originally Posted by philippe_44 View Post
    okay ... I'll build you a 5.18 set of binaries
    Wow... thank you!
    But how would you get around the missing Crypt::OpenSSL::RSA issue?
    In any case: Thank you!!

  9. #659
    Senior Member
    Join Date
    May 2008
    Location
    Canada
    Posts
    4,803
    Quote Originally Posted by slimhase View Post
    Wow... thank you!
    But how would you get around the missing Crypt::OpenSSL::RSA issue?
    In any case: Thank you!!
    Try version in the dev repository. I usually provide all biaries (except the linux-wide openssl but you certainly have it), so that includes Crypt::OpenSSL::RSA. If it still does not work, you might have an issue with what you tried to install that might take precedence over my version. In that case, locate the Crypt::OpenSSL::RSA (random and RSA) Perl system files and remove them
    Last edited by philippe_44; 2018-12-13 at 22:11.
    LMS 7.7, 7.8 and 7.9 - 5xRadio, 3xBoom, 4xDuet, 1xTouch, 1 SB2. Sonos PLAY:3, PLAY:5, Marantz NR1603, JBL OnBeat, XBoxOne, XBMC, Foobar2000, ShairPortW, JRiver 21, 2xChromecast Audio, Chromecast v1 and v2, , Pi B3, B2, Pi B+, 2xPi A+, Odroid-C1, Odroid-C2, Cubie2, Yamaha WX-010, AppleTV 4, Airport Express, GGMM E5

  10. #660
    Senior Member
    Join Date
    Jul 2009
    Posts
    335
    Quote Originally Posted by philippe_44 View Post
    Try version in the dev repository. I usually provide all biaries (except the linux-wide openssl but you certainly have it), so that includes Crypt::OpenSSL::RSA. If it still does not work, you might have an issue with what you tried to install that might take precedence over my version. In that case, locate the Crypt::OpenSSL::RSA (random and RSA) Perl system files and remove them
    Thank you - and sorry that this causes so much trouble... I still can not get it to run.
    (To be sure that there is no conflict with my prior tinkering, I started from a functioning backup of my OS - a backup I took prior to doing anything with shairtunes.

    Just FYI:
    - I used the version from http://downloads.sourceforge.net/pro...ev/repo-sf.xml
    - Using that repo, the plugin name in the plugin folder is slightly different than when using the 3rdparty version: It is now listed as "PLUGIN_SHAIRTUNES2 (v0.104.1)
    - I tried the install a couple of times, each time waiting 5 mins before restart of LMS to be sure everything downloaded properly.

    This is the error log:
    Code:
    [18-12-14 13:01:24.1054] main::init (387) Starting Logitech Media Server (v7.9.2, 1539967036, Fri Oct 19 19:17:57 CEST 2018) perl 5.018002 - i686-linux-gnu-thread-multi-64int
    [18-12-14 13:01:28.1125] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 3: PLUGIN_SHAIRTUNES2
    [18-12-14 13:01:28.1134] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 6: PLUGIN_SHAIRTUNES2_DESC
    [18-12-14 13:01:28.1146] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 9: PLUGIN_SHAIRTUNES2_BINARIES
    [18-12-14 13:01:28.1156] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 12: PLUGIN_SHAIRTUNES2_REPUBLISH
    [18-12-14 13:01:28.1165] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 15: PLUGIN_SHAIRTUNES2_WIPE
    [18-12-14 13:01:28.1174] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 18: PLUGIN_SHAIRTUNES2_NEEDRESTART
    [18-12-14 13:01:28.1183] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 21: PLUGIN_SHAIRTUNES2_BINARIES_DESC
    [18-12-14 13:01:28.1197] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 26: PLUGIN_SHAIRTUNES2_LOGLEVEL
    [18-12-14 13:01:28.1207] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 29: PLUGIN_SHAIRTUNES2_LOGLEVEL_DESC
    [18-12-14 13:01:28.1216] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 32: PLUGIN_SHAIRTUNES2_BUFFER
    [18-12-14 13:01:28.1227] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 35: PLUGIN_SHAIRTUNES2_BUFFER_DESC
    [18-12-14 13:01:28.1237] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 38: PLUGIN_SHAIRTUNES2_LATENCY
    [18-12-14 13:01:28.1246] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 41: PLUGIN_SHAIRTUNES2_RTPLATENCY
    [18-12-14 13:01:28.1255] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 44: PLUGIN_SHAIRTUNES2_HTTPLATENCY
    [18-12-14 13:01:28.1265] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 47: PLUGIN_SHAIRTUNES2_LATENCY_DESC
    [18-12-14 13:01:28.1278] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 57: PLUGIN_SHAIRTUNES2_ENCODE
    [18-12-14 13:01:28.1287] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 60: PLUGIN_SHAIRTUNES2_ENCODE_DESC
    [18-12-14 13:01:28.1297] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 65: PLUGIN_SHAIRTUNES2_FLACLEVEL
    [18-12-14 13:01:28.1307] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 68: PLUGIN_SHAIRTUNES2_MP3BITRATE
    [18-12-14 13:01:28.1316] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 71: PLUGIN_SHAIRTUNES2_DRIFT
    [18-12-14 13:01:28.1325] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 74: PLUGIN_SHAIRTUNES2_DRIFT_DESC
    [18-12-14 13:01:28.1334] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 80: PLUGIN_SHAIRTUNES2_SYNCVOLUME
    [18-12-14 13:01:28.1344] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 83: PLUGIN_SHAIRTUNES2_SYNCVOLUME_DESC
    [18-12-14 13:01:28.1353] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 87: PLUGIN_SHAIRTUNES2_SQUEEZELITE
    [18-12-14 13:01:28.1362] Slim::Utils::Strings::parseStrings (388) Error: Parsing line 90: PLUGIN_SHAIRTUNES2_SQUEEZELITE_DESC
    [18-12-14 13:01:30.9434] Slim::Utils::Misc::msg (1252) Warning: [13:01:30.9421] Can't locate auto/Crypt/OpenSSL/RSA/autosplit.ix in @INC (@INC contains: plugins/SuperDateTime/lib /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/SuperDateTime/lib /var/lib/squeezeboxserver/cache/InstalledPlugins /usr/share/squeezeboxserver/CPAN/arch/5.18/i386-linux-thread-multi-64int /usr/share/squeezeboxserver/CPAN/arch/5.18/i386-linux-thread-multi-64int/auto /usr/share/squeezeboxserver/CPAN/arch/5.18.2/i686-linux-gnu-thread-multi-64int /usr/share/squeezeboxserver/CPAN/arch/5.18.2/i686-linux-gnu-thread-multi-64int/auto /usr/share/squeezeboxserver/CPAN/arch/5.18/i686-linux-gnu-thread-multi-64int /usr/share/squeezeboxserver/CPAN/arch/5.18/i686-linux-gnu-thread-multi-64int/auto /usr/share/squeezeboxserver/CPAN/arch/i686-linux-gnu-thread-multi-64int /usr/share/squeezeboxserver/CPAN/arch/5.18 /usr/share/squeezeboxserver/lib /usr/share/squeezeboxserver/CPAN /usr/share/squeezeboxserver /usr/sbin /etc/perl /usr/local/lib/perl/5.18.2 /usr/local/share/perl/5.18.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.18 /usr/share/perl/5.18 /usr/local/lib/site_perl . /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/5.18 /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/5.18/i386-linux-thread-multi-64int /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/5.18/i386-linux-thread-multi-64int/auto) at /usr/share/perl/5.18/AutoLoader.pm line 181.
     at /var/lib/squeezeboxserver/cache/InstalledPlugins/Plugins/ShairTunes2W/elib/Crypt/OpenSSL/RSA.pm line 11.
    [18-12-14 13:02:32.6732] Slim::Display::Display::string (888) Error: missing string PLUGIN_SHAIRTUNES2
    [18-12-14 13:02:32.6748] Slim::Display::Display::string (888) Backtrace:
    
       frame 0: Slim::Utils::Log::logBacktrace (/usr/share/perl5/Slim/Display/Display.pm line 888)
       frame 1: Slim::Display::Display::string (/usr/share/perl5/Slim/Player/Player.pm line 193)
       frame 2: Slim::Player::Player::string (/usr/share/perl5/Slim/Utils/Strings.pm line 545)
       frame 3: Slim::Utils::Strings::clientString (/usr/share/perl5/Slim/Menu/SystemInfo.pm line 435)
       frame 4: Slim::Menu::SystemInfo::infoPlugins (/usr/share/perl5/Slim/Menu/Base.pm line 172)
       frame 5: (eval) (/usr/share/perl5/Slim/Menu/Base.pm line 172)
       frame 6: Slim::Menu::Base::addItem (/usr/share/perl5/Slim/Menu/Base.pm line 142)
       frame 7: Slim::Menu::Base::menu (/usr/share/perl5/Slim/Web/Settings/Server/Status.pm line 33)
       frame 8: Slim::Web::Settings::Server::Status::handler (/usr/share/perl5/Slim/Web/HTTP.pm line 1124)
       frame 9: Slim::Web::HTTP::generateHTTPResponse (/usr/share/perl5/Slim/Web/HTTP.pm line 894)
       frame 10: Slim::Web::HTTP::processURL (/usr/share/perl5/Slim/Web/HTTP.pm line 691)
       frame 11: Slim::Web::HTTP::processHTTP (/usr/share/perl5/Slim/Networking/IO/Select.pm line 123)
       frame 12: (eval) (/usr/share/perl5/Slim/Networking/IO/Select.pm line 119)
       frame 13: Slim::Networking::IO::Select::__ANON__ (/usr/share/perl5/Slim/Networking/IO/Select.pm line 168)
       frame 14: (eval) (/usr/share/perl5/Slim/Networking/IO/Select.pm line 168)
       frame 15: Slim::Networking::IO::Select::loop (/usr/sbin/squeezeboxserver line 727)
       frame 16: main::idle (/usr/sbin/squeezeboxserver line 677)
       frame 17: main::main (/usr/sbin/squeezeboxserver line 1213)
    Last edited by slimhase; 2018-12-14 at 06:18.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •